GET /blueprinttemplates/{guid}
Get a blueprint template by GUID
Get a blueprint template by GUID
| Key | Type | Example | Description |
|---|---|---|---|
| guidrequired | string | | Unique identifier (GUID) |
| Key | Type | Example | Description |
|---|---|---|---|
| authorizationrequired | string | | Access token |
{
"_meta": {
"created": 1782166695,
"entity": 1,
"guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
"modified": 1782166695,
"updated": 1782166695
},
"content": "Use Ctrl+S to save your work quickly",
"css": ".title { font-weight: 600; }",
"description": "Used by the nightly order sync.",
"js": "console.log('hello');",
"last_modified_by": {
"_meta": {
"created": 1782166695,
"entity": 1,
"guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
"modified": 1782166695,
"updated": 1782166695
},
"firstname": "Joe",
"lastname": "Doe",
"username": "joe"
},
"modified_reactroot_by": {
"_meta": {
"created": 1782166695,
"entity": 1,
"guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
"modified": 1782166695,
"updated": 1782166695
},
"date": 1782166695,
"firstname": "Joe",
"lastname": "Doe",
"username": "joe"
},
"name": "production",
"reactroot": "App",
"reactroot_file": "index.jsx"
}{
"code": 401,
"error": "INVALID_ACCESS_TOKEN"
}| Status | Error Code | Description |
|---|---|---|
401 | INVALID_ACCESS_TOKEN | Authentication required or invalid token |
404 | ERROR | Template not found |
| Permission | Description |
|---|---|
Bearer token | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
blueprinttemplates_view | Required scope: blueprinttemplates_view |
Back to Blueprint Templates Return to the Blueprint Templates category to view other endpoints All API Categories Browse all available API categories
